## ros-one-pr2-controller-manager 1.8.21-7jammy.20251023.1054

=== debian/changelog ===
ros-one-pr2-controller-manager (1.8.21-7jammy.20251023.1054) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 10:54:24 +0000

ros-one-pr2-controller-manager (1.8.21-0jammy) jammy; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 22 Jun 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.20-0jammy) jammy; urgency=high

  * add missing package (robot_state_publisher) to package.xml (#339 <https://github.com/PR2/pr2_mechanism//issues/339>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 11 Apr 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.19-0jammy) jammy; urgency=high

  * add noetic to .travis.yml, remove indigo/lunar (#342 <https://github.com/PR2/pr2_mechanism/issues/342>)
    use '2to3-2.7 -w -fprint -fraise -fexcept -fdict .' to fix python2 to python3
  * Added missing dependencies for catkin_EXPORTED_TARGETS (#341 <https://github.com/PR2/pr2_mechanism/issues/341>)
    This fixes race conditions when compiling from scratch.
    Co-authored-by: Lasse Einig <mailto:einig@informatik.uni-hamburg.de>
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.18-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.17-0jammy) jammy; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * use TinyXML instead of tinyxml
  * Use Eigen3, instad of Eigen
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.15-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.14-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.13-0jammy) jammy; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

## ros-one-pr2-controller-manager 1.8.21-7noble.20260221.2314

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_controller_manager)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS cmake_modules pr2_hardware_interface pr2_mechanism_model pr2_mechanism_diagnostics pr2_description pr2_controller_interface pr2_mechanism_msgs diagnostic_msgs sensor_msgs realtime_tools roscpp pluginlib rostest)

find_package(Eigen3 REQUIRED)
find_package(TinyXML REQUIRED)
find_package(Boost REQUIRED COMPONENTS system thread)

include_directories(
   include 
   ${Boost_INCLUDE_DIRS} 
   ${catkin_INCLUDE_DIRS} 
   ${EIGEN3_INCLUDE_DIRS})

catkin_package(
    DEPENDS TinyXML
    CATKIN_DEPENDS pr2_hardware_interface pr2_mechanism_model pr2_mechanism_diagnostics pr2_description pr2_controller_interface pr2_mechanism_msgs diagnostic_msgs sensor_msgs realtime_tools roscpp pluginlib
    INCLUDE_DIRS include
    LIBRARIES pr2_controller_manager
)

add_definitions(-O3)

add_library(pr2_controller_manager src/controller_manager.cpp src/scheduler.cpp)
add_dependencies(pr2_controller_manager ${catkin_EXPORTED_TARGETS})

target_link_libraries(pr2_controller_manager ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${TinyXML_LIBRARIES})

add_library(controller_test test/controllers/test_controller.cpp)
add_dependencies(controller_test ${catkin_EXPORTED_TARGETS})
pr2_enable_rpath(controller_test)
target_link_libraries(controller_test ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  add_executable(test_controllers test/test.cpp)
  add_dependencies(test_controllers ${catkin_EXPORTED_TARGETS})
  add_executable(test_robot test/robot.cpp)

  target_link_libraries(test_robot ${Boost_LIBRARIES} ${PROJECT_NAME} ${catkin_LIBRARIES})

  target_link_libraries(test_controllers ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

  add_rostest(test/controller_test.launch)
endif()

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_python_setup()

install(TARGETS pr2_controller_manager controller_test
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_manager.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES test/controller_plugin.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  roslaunch_add_file_check(controller_manager.launch)
endif()

## ros-one-pr2-controller-manager 1.8.21-7jammy.20260221.2218

=== debian/changelog ===
ros-one-pr2-controller-manager (1.8.21-7jammy.20260221.2218) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 21 Feb 2026 22:18:05 +0000

=== debian/control ===
Source: ros-one-pr2-controller-manager
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-pluginlib, ros-one-pr2-controller-interface, ros-one-pr2-description, ros-one-pr2-hardware-interface, ros-one-pr2-mechanism-diagnostics, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-realtime-tools, ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs
Homepage: http://ros.org/pr2_controller_manager
Standards-Version: 3.9.2

Package: ros-one-pr2-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-msgs, ros-one-pluginlib, ros-one-pr2-controller-interface, ros-one-pr2-description, ros-one-pr2-hardware-interface, ros-one-pr2-mechanism-diagnostics, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-realtime-tools, ros-one-robot-state-publisher, ros-one-roscpp, ros-one-rosparam, ros-one-rospy, ros-one-sensor-msgs
Description: The controller manager (CM) package provides the infrastructure to run controllers in a hard realtime loop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-controller-manager//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-controller-manager 1.8.21-7noble.20251023.1116

=== debian/changelog ===
ros-one-pr2-controller-manager (1.8.21-7noble.20251023.1116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 11:16:04 +0000

ros-one-pr2-controller-manager (1.8.21-0noble) noble; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 22 Jun 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.20-0noble) noble; urgency=high

  * add missing package (robot_state_publisher) to package.xml (#339 <https://github.com/PR2/pr2_mechanism//issues/339>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 11 Apr 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.19-0noble) noble; urgency=high

  * add noetic to .travis.yml, remove indigo/lunar (#342 <https://github.com/PR2/pr2_mechanism/issues/342>)
    use '2to3-2.7 -w -fprint -fraise -fexcept -fdict .' to fix python2 to python3
  * Added missing dependencies for catkin_EXPORTED_TARGETS (#341 <https://github.com/PR2/pr2_mechanism/issues/341>)
    This fixes race conditions when compiling from scratch.
    Co-authored-by: Lasse Einig <mailto:einig@informatik.uni-hamburg.de>
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.18-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.17-0noble) noble; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * use TinyXML instead of tinyxml
  * Use Eigen3, instad of Eigen
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.15-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.14-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-controller-manager (1.8.13-0noble) noble; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

## ros-one-pr2-controller-manager 1.8.21-7noble.20260221.2314

=== debian/changelog ===
ros-one-pr2-controller-manager (1.8.21-7noble.20260221.2314) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 21 Feb 2026 23:14:15 +0000
